FUNCTION gcd(a,b)
   IF b=0 THEN
      LET gcd=a
   ELSE
      LET gcd=gcd(b,mod(a,b))
   END IF
END FUNCTION
INPUT a,b
DEBUG ON                   ! need to enable BREAK
BREAK                      !
PRINT gcd(a,b)
END

